# Registry (LWJGL API)
Date: 2015-07-28

## org.lwjgl.util.glu
Class Registry

    java.lang.Object
      org.lwjgl.util.glu.Util
          org.lwjgl.util.glu.Registry

    public class Registry

extends Util

Registry.java Created 11-jan-2004

Author:
  Erik Duijs

Constructor Summary
`Registry()`

Method Summary
`static boolean` `gluCheckExtension(java.lang.String extName, java.lang.String extString)` Method gluCheckExtension
`static java.lang.String` `gluGetString(int name)` Method gluGetString

Methods inherited from class org.lwjgl.util.glu.Util
`bytesPerPixel, ceil, compPerPix, cross, glGetIntegerv, nearestPower, normalize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Registry

    public Registry()

Method Detail

### gluGetString

    public static java.lang.String gluGetString(int name)

  Method gluGetString

  Parameters:
    `name` -
  Returns:
    String

### gluCheckExtension

    public static boolean gluCheckExtension(java.lang.String extName,
                                            java.lang.String extString)

  Method gluCheckExtension

  Parameters:
    `extName` - is an extension name.
    `extString` - is a string of extensions separated by blank(s). There may or may not be leading or trailing blank(s) in extString. This works in cases of extensions being prefixes of another like GL_EXT_texture and GL_EXT_texture3D.
  Returns:
    boolean true if extName is found otherwise it returns false.

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.